Get Defined Entity

Get Defined Entity
Gets the defined entity with the unique identifier (URN)

Gets the defined entity with the unique identifier (URN)

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/entities/{id}
COPY
Path Parameters
string
id
Required

id

Query Parameters
string
entityVersion
Optional

Requests that the entities are returned in the specified version of their type. The classification of the requested type must be the same as the current entity type, only the version may differ. The returned entity contents will be converted to the requested type version according to the 'required', 'additionalProperties', and 'default' properties of the type versions schema. If the entity is RESOLVED, then the converted entity will be re-validated against the requested type version and an error may be returned if the validation fails. The conversion only affects the returned contents. The entity itself is not modified. To modify the version of the entity permanently, one must update it with a spec of a newer version or perform an upgrade/mass upgrade request.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns DefinedEntity of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:entity:vmware.vspheresddc:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "entityType": "urn:vcloud:type:vmware.vspheresddc:1.0.0",
    "name": "vspheresddc1",
    "externalId": "123",
    "entity": {
        "entity": {}
    },
    "state": "string",
    "entityState": "string",
    "creationDate": "string",
    "lastModificationDate": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    }
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/entities/{id}